class SV_MapStatsHUDMutator expands Mutator;

var PlayerPawn Player;

var bool bDrawSplash;

// top 10 config vars:
var string Map1, Map2, Map3, Map4, Map5, Map6, Map7, Map8, Map9, Map10;
var int V1, V2, V3, V4, V5, V6, V7, V8, V9, V10;
var int DrawTime, counter, Time;
var bool bShowUntitled, bDrawStats;
var color MapStatsColor;

simulated function PostRender(canvas Canvas)
{
	
	local float XL,YL, YLL;
	local bool bRunOnce;

	// Call original PostRender first
	Super.PostRender(Canvas);

	if ( !bRunOnce )
		{
		
		Canvas.DrawColor = MapStatsColor;
		bRunOnce = True;
		}

	//Draw map statistics to HUD.
	Canvas.Style = ERenderStyle.STY_Normal;
	Canvas.Font = Font'Botpack.SmallFont';
	Canvas.TextSize("TEST", XL, YL);

	YLL = YL * 13;
	if ( bDrawStats )
		{
		Canvas.SetPos(1, YLL);
		Canvas.DrawText("Map Statistics:");
		if ( Map1 != "" )
			{
			YLL = YLL + YL * 1.5;
			Canvas.SetPos(1, YLL);
			Canvas.DrawText(" 1. "@Map1$", played "@V1$" times.");
			}
		if ( Map2 != "" )
			{
			YLL = YLL + YL;
			Canvas.SetPos(1, YLL);
			Canvas.DrawText(" 2. "@Map2$", played "@V2$" times.");
			}
		if ( Map3 != "" )
			{
			YLL = YLL + YL;
			Canvas.SetPos(1, YLL);
			Canvas.DrawText(" 3. "@Map3$", played "@V3$" times.");
			}
		if ( Map4 != "" )
			{
			YLL = YLL + YL;
			Canvas.SetPos(1, YLL);
			Canvas.DrawText(" 4. "@Map4$", played "@V4$" times.");
			}
		if ( Map5 != "" )
			{
			YLL = YLL + YL;
			Canvas.SetPos(1, YLL);
			Canvas.DrawText(" 5. "@Map5$", played "@V5$" times.");
			}
		if ( Map6 != "" )
			{
			YLL = YLL + YL;
			Canvas.SetPos(1, YLL);
			Canvas.DrawText(" 6. "@Map6$", played "@V6$" times.");
			}
		if ( Map7 != "" )
			{
			YLL = YLL + YL;
			Canvas.SetPos(1, YLL);
			Canvas.DrawText(" 7. "@Map7$", played "@V7$" times.");
			}
		if ( Map8 != "" )
			{
			YLL = YLL + YL;
			Canvas.SetPos(1, YLL);
			Canvas.DrawText(" 8. "@Map8$", played "@V8$" times.");
			}
		if ( Map9 != "" )
			{
			YLL = YLL + YL;
			Canvas.SetPos(1, YLL);
			Canvas.DrawText(" 9. "@Map9$", played "@V9$" times.");
			}
		if ( Map10 != "" )
			{
			YLL = YLL + YL;
			Canvas.SetPos(1, YLL);
			Canvas.DrawText("10. "@Map10$", played "@V10$" times.");
			}
		}	
	
	// make next HUD mutator able to draw also
	if (NextHUDMutator != None)
		NextHUDMutator.PostRender(Canvas);
}

simulated function Tick(float DT) 
{
local Canvas Canvas;

Time = DrawTime * 50;

//Manage drawtime and fade out
if ( counter <= Time )
	{
	bDrawStats = True;
	counter++;
	}
else
	{
	bDrawStats = False;
	}
}


defaultproperties
{
	bHidden=True

}