class SV_MapStatsMutator expands Mutator config(SV_MapStatDB);

//Server admin variables:
var config int DrawTime;
var config bool bShowUntitled;
var config color MapStatsColor;

// top 10 config vars:
var config string Map1, Map2, Map3, Map4, Map5, Map6, Map7, Map8, Map9, Map10;
var config int V1, V2, V3, V4, V5, V6, V7, V8, V9, V10;

// database config vars:
var config string Maps[512];
var config int Played[512];

// other vars:
var bool bRunOnce;

function PreBeginPlay()
{
local string Mapname;
local int i;
local SV_MapStatsNotify s;

Mapname = Level.Title;

if ( !bRunOnce )
	{
	//Detect an assign mapname
	for ( i=0; i<512; i++ )
		{
		if ( !bShowUntitled )
			{
			if ( Maps[i] == Mapname || Maps[i] == "" && Mapname !="Untitled" && Mapname != "" )
				{
				Maps[i] = Mapname;
				Played[i]++;
				log("The map: "@Mapname$" has been selected as battleground, it has been selected "@Played[i]$" times.");
				i = 1000;
				}
			}
		else
			{
			if ( Maps[i] == Mapname || Maps[i] == "" )
				{
				Maps[i] = Mapname;
				Played[i]++;
				log("The map: "@Mapname$" has been selected as battleground, it has been selected "@Played[i]$" times.");
				i = 1000;
				}
			}
		}
	//find the top 10 most played maps
	for ( i=0; i<512 ; i++ )
		{
		if ( Played[i] >= V1 )
			{
			V1 = Played[i];
			Map1 = Maps[i];
			//i = 1000;
			}
		}
	for ( i=0; i<512 ; i++ )
		{
		if ( Played[i] >= V2 && Maps[i] != Map1 )
			{
			V2 = Played[i];
			Map2 = Maps[i];
			//i = 1000;
			}
		}
	for ( i=0; i<512 ; i++ )
		{
		if ( Played[i] >= V3 && Maps[i] != Map1 && Maps[i] != Map2 )
			{
			V3 = Played[i];
			Map3 = Maps[i];
			//i = 1000;
			}
		}
	for ( i=0; i<512 ; i++ )
		{
		if ( Played[i] >= V4 && Maps[i] != Map1 && Maps[i] != Map2 && Maps[i] != Map3)
			{
			V4 = Played[i];
			Map4 = Maps[i];
			//i = 1000;
			}
		}
	for ( i=0; i<512 ; i++ )
		{
		if ( Played[i] >= V5 && Maps[i] != Map1 && Maps[i] != Map2 && Maps[i] != Map3 && Maps[i] != Map4)
			{
			V5 = Played[i];
			Map5 = Maps[i];
			//i = 1000;
			}
		}
	for ( i=0; i<512 ; i++ )
		{
		if ( Played[i] >= V6 && Maps[i] != Map1 && Maps[i] != Map2 && Maps[i] != Map3 && Maps[i] != Map4 && Maps[i] != Map5)
			{
			V6 = Played[i];
			Map6 = Maps[i];
			//i = 1000;
			}
		}
	for ( i=0; i<512 ; i++ )
		{
		if ( Played[i] >= V7 && Maps[i] != Map1 && Maps[i] != Map2 && Maps[i] != Map3 && Maps[i] != Map4 && Maps[i] != Map5 && Maps[i] != Map6)
			{
			V7 = Played[i];
			Map7 = Maps[i];
			//i = 1000;
			}
		}
	for ( i=0; i<512 ; i++ )
		{
		if ( Played[i] >= V8 && Maps[i] != Map1 && Maps[i] != Map2 && Maps[i] != Map3 && Maps[i] != Map4 && Maps[i] != Map5 && Maps[i] != Map6 && Maps[i] != Map7)
			{
			V8 = Played[i];
			Map8 = Maps[i];
			//i = 1000;
			}
		}
	for ( i=0; i<512 ; i++ )
		{
		if ( Played[i] >= V9 && Maps[i] != Map1 && Maps[i] != Map2 && Maps[i] != Map3 && Maps[i] != Map4 && Maps[i] != Map5 && Maps[i] != Map6 && Maps[i] != Map7 && Maps[i] != Map8)
			{
			V9 = Played[i];
			Map9 = Maps[i];
			//i = 1000;
			}
		}
	for ( i=0; i<512 ; i++ )
		{
		if ( Played[i] >= V10 && Maps[i] != Map1 && Maps[i] != Map2 && Maps[i] != Map3 && Maps[i] != Map4 && Maps[i] != Map5 && Maps[i] != Map6 && Maps[i] != Map7 && Maps[i] != Map8 && Maps[i] != Map9)
			{
			V10 = Played[i];
			Map10 = Maps[i];
			//i = 1000;
			}
		}
	s = spawn(class'SV_MapStatsNotify');
	s.Map1 = Map1;
	s.Map2 = Map2;
	s.Map3 = Map3;
	s.Map4 = Map4;
	s.Map5 = Map5;
	s.Map6 = Map6;
	s.Map7 = Map7;
	s.Map8 = Map8;
	s.Map9 = Map9;
	s.Map10 = Map10;
	s.V1 = V1;
	s.V2 = V2;
	s.V3 = V3;
	s.V4 = V4;
	s.V5 = V5;
	s.V6 = V6;
	s.V7 = V7;
	s.V8 = V8;
	s.V9 = V9;
	s.V10 = V10;
	s.DrawTime = DrawTime;
	s.bShowUntitled = bShowUntitled;
	s.MapStatsColor = MapStatsColor;
	
	bRunOnce = True;
	SaveConfig();
	}	

}


defaultproperties
{
	bHidden=True
}