

#exec Audio Import File="Sounds\double_kill.wav" Name="double_kill"
#exec Audio Import File="Sounds\triple_kill.wav" Name="triple_kill" 
#exec Audio Import File="Sounds\multikill.wav" Name="multikill" 
#exec Audio Import File="Sounds\megakill.wav" Name="megakill" 
#exec Audio Import File="Sounds\ultrakill.wav" Name="ultrakill" 
#exec Audio Import File="Sounds\Monsterkill_F.wav" Name="Monsterkill_F" 
#exec Audio Import File="Sounds\monster_kill2.wav" Name="monster_kill2" 
#exec Audio Import File="Sounds\monster_kill.wav" Name="monster_kill" 
#exec Audio Import File="Sounds\LudicrousKill_F.wav" Name="LudicrousKill_F" 
#exec Audio Import File="Sounds\HolyShit_F.wav" Name="HolyShit_F" 
#exec Audio Import File="Sounds\unrealsnd.wav" Name="unrealsnd"

class SV_MultiKillMessage extends MultiKillMessage;

static function string GetString(
	optional int Switch,
	optional PlayerReplicationInfo RelatedPRI_1, 
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object OptionalObject 
) 
{
	switch (Switch) 
        {
		case 1:
			return "Double Kill!";
			break;
		case 2:
			return "Triple Kill!";
			break;
		case 3:
			return "Multi Kill!";
			break;
		case 4:
			return "Mega Kill!!";
			break;
		case 5:
			return "ULTRA KILL!!";
			break;
		case 6:
		case 7:
		case 8:
			return "M O N S T E R  K I L L !!!";
			break;
		case 9:
		case 10:
		case 11:
		case 12:
			return "L U D I C R O U S  K I L L !!!!";
			break;
		case 13:
		case 14:
		case 15:
		case 16:
		case 17:
			return "H  O  L  Y   S  H  I  T  !!!!!";
			break;
		case 18:
		case 19:
		case 20:
		case 21:
		case 22:
		case 23:
			return "U  N  R  E  A  L  !!!!!!";
			break;
	}
	return "";
}

static simulated function ClientReceive
(
	PlayerPawn P,
	optional int Switch,
	optional PlayerReplicationInfo RelatedPRI_1, 
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object OptionalObject
	)
{
	Super(LocalMessagePlus).ClientReceive(P, Switch, RelatedPRI_1, RelatedPRI_2, OptionalObject);
	
	switch (Switch) 
        {
		case 1:
			P.ClientPlaySound(sound'Survival2.double_kill',, true);
			break;
		case 2:
			P.ClientPlaySound(sound'Survival2.triple_kill',, true);
			break;
		case 3:
			P.ClientPlaySound(sound'Survival2.multikill',, true);
			break;
		case 4:
			P.ClientPlaySound(sound'Survival2.megakill',, true);
			break;
		case 5:
			P.ClientPlaySound(sound'Survival2.ultrakill',, true);
			break;
		case 6:
			P.ClientPlaySound(sound'Survival2.Monsterkill_F',, true);
			break;
		case 7:
			P.ClientPlaySound(sound'Survival2.monster_kill2',, true);
			break;
		case 8:
			P.ClientPlaySound(sound'Survival2.monster_kill',, true);
			break;
		case 9:
		case 10:
		case 11:
		case 12:
			P.ClientPlaySound(sound'Survival2.LudicrousKill_F',, true);
			break;
		case 13:
		case 14:
		case 15:
		case 16:
		case 17:
			P.ClientPlaySound(sound'Survival2.HolyShit_F',, true);
			break;
		case 18:
		case 19:
		case 20:
		case 21:
		case 22:
		case 23:
			P.ClientPlaySound(sound'Survival2.unrealsnd',, true);
			break;
	}
}

defaultproperties
{
}
