// One Up mutator for Survival
//
// This mutator adds the OneUp relic to the game.
//

class SV_OneUpRelic extends Mutator;

var int NumPoints;
var bool Initialized;
var SV_OneUp SpawnedRelic;
var int NavPoint;

function PostBeginPlay()
{
	local NavigationPoint NP;

	if (Initialized)
		{
		return;
		}
	Initialized = True;

	for (NP = Level.NavigationPointList; NP != None; NP = NP.NextNavigationPoint)
	{
		if (NP.IsA('PathNode'))
			{
			NumPoints++;
			}
	}

	SpawnRelic(0);
}

function SpawnRelic(int RecurseCount)
{
	local int PointCount;
	local NavigationPoint NP;

	NavPoint = Rand(NumPoints);
	for (NP = Level.NavigationPointList; NP != None; NP = NP.NextNavigationPoint)
	{
		if ( NP.IsA('PathNode') )
		{
			if (PointCount == NavPoint)
			{
			SpawnedRelic = Spawn(Class'Survival2.SV_OneUp', , , NP.Location);
			return;
			}
			PointCount++;
		}
	}
}

defaultproperties
{	
}

