

class SV_TeamKillAnnounceMessage extends LocalMessagePlus;

var localized string AnnounceString;
var localized string AnnounceString2;
var localized string AnnounceString3;

static function float GetOffset(int Switch, float YL, float ClipY) {
	
	return (Default.YPos / 768.0) * ClipY - 2 * YL;
}

static function string GetString(
	optional int Switch,
	optional PlayerReplicationInfo RelatedPRI_1, 
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object OptionalObject 
) {
	if (RelatedPRI_1 != None && RelatedPRI_2 != None) {
		if (RelatedPRI_1.PlayerName != "" && RelatedPRI_2.PlayerName != "")
			return RelatedPRI_2.PlayerName@Default.AnnounceString@RelatedPRI_1.PlayerName;
	} else if (RelatedPRI_1 != None) {
		if (RelatedPRI_1.PlayerName != "" && Switch != 0)
			return RelatedPRI_1.PlayerName@Default.AnnounceString3;
		else
			return RelatedPRI_1.PlayerName@Default.AnnounceString2;
	}
	
	return "";
}

static simulated function ClientReceive( 
	PlayerPawn P,
	optional int Switch,
	optional PlayerReplicationInfo RelatedPRI_1, 
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object OptionalObject
) {
	Super.ClientReceive(P, Switch, RelatedPRI_1, RelatedPRI_2, OptionalObject);
	
	if (RelatedPRI_1 != P.PlayerReplicationInfo
		&& RelatedPRI_2 != P.PlayerReplicationInfo) {
		P.PlaySound(sound'SpreeSound', , 4.0);
		return;
	}
}

defaultproperties
{
    AnnounceString="was killed by"
    AnnounceString2="is a TEAM KILLER!!!!!"
    AnnounceString3="is a KILLER!!!!!"
    FontSize=1
    bIsSpecial=True
    bIsUnique=True
    bFadeMessage=True
    DrawColor=(R=255,G=0,B=0,A=0),
    YPos=196.00
    bCenter=True
}
