
class SVshadow extends Spinner;


function Playrunning()
{
 local float dist, decision;

 if (Target != None)
 {
	decision = FRand();
	dist = VSize(Location - Target.Location);
    if (dist > 250)
      decision=1;
	if (Physics != PHYS_Walking)
		decision=1;
    if ( Region.Zone.bWaterZone)
        decision=1;
	if (Target == None)
		decision=1;

	if (decision < 0.40)
	{
		PlayAnim('jump');
		Velocity = 500 * Normal(Target.Location + Target.CollisionHeight * vect(0,0,0.75) - Location);
		if (dist > CollisionRadius + Target.CollisionRadius + 35)
			Velocity.Z += 0.7 * dist;
		SetPhysics(PHYS_Falling);
	}
    else
  		LoopAnim('Run', -1.0/GroundSpeed,, 0.8);
  }
  else
  		LoopAnim('Run', -1.0/GroundSpeed,, 0.8);
}

state MeleeAttack
{
 ignores SeePlayer, HearNoise;

	singular function Bump(actor Other)
	{
		Disable('Bump');
		if ( (Other == Target) && (AnimSequence == 'jump') )
        PlayAnim( 'bite',5.0 );
	}
}

defaultproperties
{
    //pitchmod=1.40
    CarcassType=Class'SVShadowCarcass'
    Aggressiveness=10.00
    bHasRangedAttack=True
    MaxStepHeight=20.00
    CombatStyle=1.00
    DrawScale=1.0
    CollisionRadius=22.00
    CollisionHeight=22.00
}
