// Damage mutator for Survival
//
// This mutator adds the damage a player inflict a target to the players score.
//

class SV_DamageMutator extends Mutator;

var bool Init;

function PostBeginPlay()
{
	if (Init)
		return;
	Init = True;

	Level.Game.RegisterDamageMutator(Self);
}

function MutatorTakeDamage( out int ActualDamage, Pawn Victim, Pawn InstigatedBy, out Vector HitLocation, out Vector Momentum, name DamageType)
{
     if(Victim != None && InstigatedBy != None)
     {
	if (Victim.IsA('ScriptedPawn') && InstigatedBy.bIsPlayer)
		{
		InstigatedBy.PlayerReplicationInfo.Score += ActualDamage;
		}
	if ( NextDamageMutator != None )
     		NextDamageMutator.MutatorTakeDamage( ActualDamage, Victim, InstigatedBy, HitLocation, Momentum, DamageType);
     }
}

defaultproperties
{	
}

