class SV_StatsHUDMutator expands Mutator;

var PlayerPawn Player;

var bool bDrawSplash;

// top 10 config vars:
var string TopPlayer1,TopPlayer2,TopPlayer3,TopPlayer4,TopPlayer5,TopPlayer6,TopPlayer7,TopPlayer8,TopPlayer9,TopPlayer10;
var int TopFrags1,TopFrags2,TopFrags3,TopFrags4,TopFrags5,TopFrags6,TopFrags7,TopFrags8,TopFrags9,TopFrags10;
var int TopGames1,TopGames2,TopGames3,TopGames4,TopGames5,TopGames6,TopGames7,TopGames8,TopGames9,TopGames10;

var int ShowNow;
var int TTime, AddDrawTime, AddColor, ColorFade, ColorShowTime;
var color ElementColor;

simulated function PostRender(canvas Canvas)
{
	local int X,Y;
	local float XL,YL;
	local int ResultEFF;
	local float ResA, ResB;
	local bool bJustOnce, bFadingUp, bFadingDown, bNext, bShow;
	local string prefix;

	// Call original PostRender first
	Super.PostRender(Canvas);

	//Draw statistic element to HUD.
	Canvas.DrawColor = ElementColor;
	Canvas.SetPos(Canvas.ClipX - 256, 0 );
	Canvas.Style = ERenderStyle.STY_Translucent;
	Canvas.DrawIcon(Texture'Survival2.StatElement', 1);
	Canvas.Style = ERenderStyle.STY_Normal;

	// Draw stats to HUD

	Canvas.Reset();
	//Canvas.Font = Font'Botpack.WhiteFont';
	Canvas.Font = Font'Botpack.SmallFont';
	Canvas.TextSize("TEST", XL, YL);

	X = Canvas.ClipX -254;
	Y = 0;

	if ( TTime == 120 )
		{
		AddDrawTime = 1;
		}
	else
		{
		TTime++;
		}
	if ( AddDrawTime == 1 )
		{
		Canvas.DrawColor.R = AddColor;
		Canvas.DrawColor.G = AddColor;
		Canvas.DrawColor.B = AddColor;
		if ( ColorFade == 0 )
			{
			AddColor += 5;
			if ( AddColor >= 255 )
				{
				AddColor = 255;
				ColorShowTime++;
				if ( ColorShowTime == 250 )
					{
					ColorFade = 1;
					}
				}
			}
		
		else if ( ColorFade == 1 )
			{
			AddColor -= 5;
			if ( AddColor <= 20 )
				{
				AddColor = 20;
				ColorFade = 0;
				ColorShowTime = 0;
				ShowNow++;
				if ( ShowNow >= 11 )
					{
					ShowNow = 0;
					}
				}
			}
		}
	

	if ( ShowNow == 0 )
		{
		Canvas.SetPos(X, Y);
		Canvas.DrawText("UT Survival Statistics");
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("www.utsurvival.com");
		}
	else if ( ShowNow == 1 )
		{
		Canvas.SetPos(X, Y);
		Canvas.DrawText("PLAYER: "$TopPlayer1);
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("RANKING: 1st");
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("FRAGS: "$TopFrags1);
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("GAMES: "$TopGames1);
		}
	else if ( ShowNow == 2 )
		{
		Canvas.SetPos(X, Y);
		Canvas.DrawText("PLAYER: "$TopPlayer2);
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("RANKING: 2nd");
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("FRAGS: "$TopFrags2);
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("GAMES: "$TopGames2);
		}	
	else if ( ShowNow == 3 )
		{
		Canvas.SetPos(X, Y);
		Canvas.DrawText("PLAYER: "$TopPlayer3);
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("RANKING: 3rd");
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("FRAGS: "$TopFrags3);
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("GAMES: "$TopGames3);
		}
	else if ( ShowNow == 4 )
		{
		Canvas.SetPos(X, Y);
		Canvas.DrawText("PLAYER: "$TopPlayer4);
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("RANKING: 4th");
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("FRAGS: "$TopFrags4);
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("GAMES: "$TopGames4);
		}
	else if ( ShowNow == 5 )
		{
		Canvas.SetPos(X, Y);
		Canvas.DrawText("PLAYER: "$TopPlayer5);
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("RANKING: 5th");
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("FRAGS: "$TopFrags5);
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("GAMES: "$TopGames5);
		}
	else if ( ShowNow == 6 )
		{
		Canvas.SetPos(X, Y);
		Canvas.DrawText("PLAYER: "$TopPlayer6);
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("RANKING: 6th");
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("FRAGS: "$TopFrags6);
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("GAMES: "$TopGames6);
		}	
	else if ( ShowNow == 7 )
		{
		Canvas.SetPos(X, Y);
		Canvas.DrawText("PLAYER: "$TopPlayer7);
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("RANKING: 7th");
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("FRAGS: "$TopFrags7);
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("GAMES: "$TopGames7);
		}
	else if ( ShowNow == 8 )
		{
		Canvas.SetPos(X, Y);
		Canvas.DrawText("PLAYER: "$TopPlayer8);
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("RANKING: 8th");
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("FRAGS: "$TopFrags8);
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("GAMES: "$TopGames8);
		}
	else if ( ShowNow == 9 )
		{
		Canvas.SetPos(X, Y);
		Canvas.DrawText("PLAYER: "$TopPlayer9);
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("RANKING: 9th");
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("FRAGS: "$TopFrags9);
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("GAMES: "$TopGames9);
		}
	else if ( ShowNow == 10 )
		{
		Canvas.SetPos(X, Y);
		Canvas.DrawText("PLAYER: "$TopPlayer10);
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("RANKING: 10th");
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("FRAGS: "$TopFrags10);
		Canvas.SetPos(X, Y += YL);
		Canvas.DrawText("GAMES: "$TopGames10);
		}

	// make next HUD mutator able to draw also
	if (NextHUDMutator != None)
		NextHUDMutator.PostRender(Canvas);

}


defaultproperties
{
	bHidden=True
	AddColor=20
	ElementColor=(R=20,G=20,B=20)
}