class SV_StatsNotify expands SpawnNotify;

// top 10 config vars:
var string TopPlayer1,TopPlayer2,TopPlayer3,TopPlayer4,TopPlayer5,TopPlayer6,TopPlayer7,TopPlayer8,TopPlayer9,TopPlayer10;
var int TopFrags1,TopFrags2,TopFrags3,TopFrags4,TopFrags5,TopFrags6,TopFrags7,TopFrags8,TopFrags9,TopFrags10;
var int TopGames1,TopGames2,TopGames3,TopGames4,TopGames5,TopGames6,TopGames7,TopGames8,TopGames9,TopGames10;

replication
{
	reliable if(Role==ROLE_Authority && bNetInitial)
		TopPlayer1,TopPlayer2,TopPlayer3,TopPlayer4,TopPlayer5,TopPlayer6,TopPlayer7,TopPlayer8,TopPlayer9,TopPlayer10,
		TopFrags1,TopFrags2,TopFrags3,TopFrags4,TopFrags5,TopFrags6,TopFrags7,TopFrags8,TopFrags9,TopFrags10,
		TopGames1,TopGames2,TopGames3,TopGames4,TopGames5,TopGames6,TopGames7,TopGames8,TopGames9,TopGames10;
}

simulated function PreBeginPlay()
{
	bAlwaysRelevant = true;
	if(ROLE == ROLE_Authority)
	{
		SetTimer(1.0, true);
	}
}

simulated function PostNetBeginPlay()
{
	local ChallengeHUD PlayerHUD;

	foreach AllActors(Class'ChallengeHUD',PlayerHUD)
	{
		SpawnNotification(PlayerHUD);
	}
}

simulated event Actor SpawnNotification(actor Actor)
{
	local sv_StatsHUDMutator tmpHUD;
	local int i;

	if (Actor != None)
	{
		if (Actor.IsA('HUD') && (HUD(Actor).HUDMutator == None || !HUD(Actor).HUDMutator.IsA('SV_StatsHUDMutator')))
		{
			tmpHUD = spawn(class'SV_StatsHUDMutator', Actor);
			if (tmpHUD != None)
				{
				tmpHUD.Player = PlayerPawn(Actor.Owner);
				// Transfer statistic vars
				tmpHUD.TopPlayer1 = TopPlayer1;
				tmpHUD.TopFrags1 = TopFrags1;
				tmpHUD.TopGames1 = TopGames1;
				tmpHUD.TopPlayer2 = TopPlayer2;
				tmpHUD.TopFrags2 = TopFrags2;
				tmpHUD.TopGames2 = TopGames2;
				tmpHUD.TopPlayer3 = TopPlayer3;
				tmpHUD.TopFrags3 = TopFrags3;
				tmpHUD.TopGames3 = TopGames3;
				tmpHUD.TopPlayer4 = TopPlayer4;
				tmpHUD.TopFrags4 = TopFrags4;
				tmpHUD.TopGames4 = TopGames4;
				tmpHUD.TopPlayer5 = TopPlayer5;
				tmpHUD.TopFrags5 = TopFrags5;
				tmpHUD.TopGames5 = TopGames5;
				tmpHUD.TopPlayer6 = TopPlayer6;
				tmpHUD.TopFrags6 = TopFrags6;
				tmpHUD.TopGames6 = TopGames6;
				tmpHUD.TopPlayer7 = TopPlayer7;
				tmpHUD.TopFrags7 = TopFrags7;
				tmpHUD.TopGames7 = TopGames7;
				tmpHUD.TopPlayer8 = TopPlayer8;
				tmpHUD.TopFrags8 = TopFrags8;
				tmpHUD.TopGames8 = TopGames8;
				tmpHUD.TopPlayer9 = TopPlayer9;
				tmpHUD.TopFrags9 = TopFrags9;
				tmpHUD.TopGames9 = TopGames9;
				tmpHUD.TopPlayer10 = TopPlayer10;
				tmpHUD.TopFrags10 = TopFrags10;
				tmpHUD.TopGames10 = TopGames10;
				
				if (HUD(Actor).HUDMutator == None)
					HUD(Actor).HUDMutator = tmpHUD;
				else
				{
					tmpHUD.NextHUDMutator = HUD(Actor).HUDMutator;
					HUD(Actor).HUDMutator = tmpHUD;
				}
			}
		}
	}

	return Actor;
}

defaultproperties
{
	bHidden=True
}
