

#exec Audio Import File="Sounds\Team_Kill.wav" Name="Team_Kill" 
#exec Audio Import File="Sounds\Team_Killer.wav" Name="Team_Killer"

class SV_TeamKillMessage extends LocalMessagePlus;

var localized string TeamKillString;
var localized string TeamKillerString;

static function float GetOffset(int Switch, float YL, float ClipY) {
	
	return (Default.YPos / 768.0) * ClipY - 2 * YL;
}

static function string GetString(
	optional int Switch,
	optional PlayerReplicationInfo RelatedPRI_1, 
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object OptionalObject 
) {
	
	if (Switch > 0)
		return Default.TeamKillerString;
	else
		return Default.TeamKillString;
}

static simulated function ClientReceive( 
	PlayerPawn P,
	optional int Switch,
	optional PlayerReplicationInfo RelatedPRI_1, 
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object OptionalObject
) {
	Super.ClientReceive(P, Switch, RelatedPRI_1, RelatedPRI_2, OptionalObject);
	
	if (Switch > 0)
		P.ClientPlaySound(sound'Survival2.Team_Killer', , true);
	else
		P.ClientPlaySound(sound'Survival2.Team_Kill', , true);
}

defaultproperties
{
    TeamKillString="TEAM KILL!!!"
    TeamKillerString="TEAM KILLER!!!!!"
    FontSize=2
    bIsSpecial=True
    bIsUnique=True
    bFadeMessage=True
    DrawColor=(R=255,G=0,B=0,A=0),
    YPos=196.00
    bCenter=True
}
