

#exec Audio Import File="Sounds\One.wav" Name="One"
#exec Audio Import File="Sounds\Two.wav" Name="Two" 
#exec Audio Import File="Sounds\Three.wav" Name="Three" 
#exec Audio Import File="Sounds\Four.wav" Name="Four" 
#exec Audio Import File="Sounds\Five.wav" Name="Five" 
#exec Audio Import File="Sounds\Six.wav" Name="Six" 
#exec Audio Import File="Sounds\Seven.wav" Name="Seven" 
#exec Audio Import File="Sounds\Eight.wav" Name="Eight" 
#exec Audio Import File="Sounds\Nine.wav" Name="Nine" 
#exec Audio Import File="Sounds\Ten.wav" Name="Ten"

class SV_WaveCountDownMessage extends CriticalEventPlus;

var localized String CountMsg[10];
var Sound CountVoice[10];			// Countdown Voice

static function string GetString(
	optional int Switch,
	optional PlayerReplicationInfo RelatedPRI_1, 
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object OptionalObject
) 
{
	return Default.CountMsg[Switch];
}

static simulated function ClientReceive( 
	PlayerPawn P,
	optional int Switch,
	optional PlayerReplicationInfo RelatedPRI_1, 
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object OptionalObject
) 
{
	Super.ClientReceive(P, Switch, RelatedPRI_1, RelatedPRI_2, OptionalObject);
	
	P.ClientPlaySound(Default.CountVoice[Switch], , true);
}

defaultproperties
{
    CountMsg(0)="1..."
    CountMsg(1)="2..."
    CountMsg(2)="3..."
    CountMsg(3)="4..."
    CountMsg(4)="5..."
    CountMsg(5)="6..."
    CountMsg(6)="7..."
    CountMsg(7)="8..."
    CountMsg(8)="9..."
    CountMsg(9)="10..."
    CountVoice(0)=Sound'One'
    CountVoice(1)=Sound'Two'
    CountVoice(2)=Sound'Three'
    CountVoice(3)=Sound'Four'
    CountVoice(4)=Sound'Five'
    CountVoice(5)=Sound'Six'
    CountVoice(6)=Sound'Seven'
    CountVoice(7)=Sound'Eight'
    CountVoice(8)=Sound'Nine'
    CountVoice(9)=Sound'Ten'
    bBeep=False
}
