class SpawnMut expands Mutator config(Survival2);

var() globalconfig bool bUseSpawnProt;
var() globalconfig int SpawnProtDuration;

var bool Initialized;
var Mutator SpawnProt;

var string RealKeyName[255];


function PostBeginPlay()
{
        if (Initialized)
                return;
        Initialized = True;

        Level.Game.RegisterDamageMutator(Spawn(class'SpawnProt'));
}

function ModifyPlayer(Pawn Other)
{
     local Inventory Inv;
     local Ammo A;

     if (bUseSpawnProt)
        {
          Inv = Other.FindInventoryType(class'SpawnProtEffect');
          if ( Inv != None )
               SpawnProtEffect(Inv).Duration = SpawnProtDuration;
          else
          {
               inv = Spawn(class'SpawnProtEffect');
               if( inv != None )
               {
                    SpawnProtEffect(Inv).Duration = SpawnProtDuration;
                    inv.GiveTo(Other);
                    inv.Activate();
               }
          }
     }
     if ( NextMutator != None )
          NextMutator.ModifyPlayer(Other);
}

defaultproperties
{
     bUseSpawnProt=True
     SpawnProtDuration=60
}
